#!/bin/bash
#
if [ -f $HOME/.profile ]; then
  . $HOME/.profile
fi

ifile=blender.in
[ ! -f $ifile ] && exit

while read line_iter
do
  echo "Running" $line_iter
  EXITSTATUS="1"
  while [ ! "$EXITSTATUS" -eq 0 ]
  do
    qsub -N Blender -cwd blenderBatchItem.sh $line_iter
    
    # Deal with failed attempts to add a job.
    EXITSTATUS="$?"
    if [ ! "$EXITSTATUS" -eq 0 ]
    then
      echo "Failed to add job, sleeping 10sec and try again..."
      sleep 10
    fi
    
  done
  
done < $ifile

echo "done"
