#!/bin/bash

# Wavemage
cd /

PEACHROOT=~/production # use wavemages account
# PEACHROOT=/media/data/peach/production # Normal users

BLENDS=`find $PEACHROOT/scenes -iname "*.blend"`


mkdir $PEACHROOT/jobs
rm $PEACHROOT/jobs/*.job
cd $PEACHROOT/jobs


for blen in $BLENDS
do
	# Generate job file
	echo $blen
	python $PEACHROOT/scripts/blend2job.py $blen
done

